curl --request POST \
--url https://api.gcore.com/cloud/v4/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/rebuild \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"image_id": "ded40aad-505c-463b-aa59-8f5f455d1b6f",
"ssh_key_name": "my-ssh-key",
"user_data": "eyJ0ZXN0IjogImRhdGEifQ=="
}
'import requests
url = "https://api.gcore.com/cloud/v4/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/rebuild"
payload = {
"image_id": "ded40aad-505c-463b-aa59-8f5f455d1b6f",
"ssh_key_name": "my-ssh-key",
"user_data": "eyJ0ZXN0IjogImRhdGEifQ=="
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_id: 'ded40aad-505c-463b-aa59-8f5f455d1b6f',
ssh_key_name: 'my-ssh-key',
user_data: 'eyJ0ZXN0IjogImRhdGEifQ=='
})
};
fetch('https://api.gcore.com/cloud/v4/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/rebuild', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Rebuild bare metal GPU cluster server
Rebuild a single server in a bare metal GPU cluster with a chosen image, user data, and SSH key. Any parameter that is omitted falls back to the cluster’s current settings.
The server is marked with pending changes (has_pending_changes=true) until the cluster settings
are reapplied via POST /v3/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/apply_settings.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Cluster unique identifier
"1aaaab48-10d0-46d9-80cc-85209284ceb4"
Server unique identifier
"f1c1eeb6-1834-48c9-a7b0-daafce64872b"
Body
New or existing image to rebuild the node with. Omit to keep the cluster's current image.
"ded40aad-505c-463b-aa59-8f5f455d1b6f"
New or existing SSH keypair name. Omit to keep the cluster's current SSH key.
1"my-ssh-key"
New or existing user data (Base64-encoded). Omit to keep the cluster's current user data.
"eyJ0ZXN0IjogImRhdGEifQ=="
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?